Loading...
Searching...
No Matches
Opm::Elasticity::MPC::DOF Struct Reference

A struct for representing one term (DOF number and associated coefficient) in a MPC equation. More...

`#include <mpc.hh>`

## Public Member Functions

| DOF ()
| Default constructor.
| DOF (int n, int d, double c=double(0))
| Convenience constructor creating a valid DOF object.

## Public Attributes

int | node
| Node number identifying this DOF.
int | dof
| Local DOF number within node.
double | coeff
| The constrained value, or master DOF scaling coefficient.

## Friends

std::ostream & | operator<< (std::ostream &s, const DOF &d)
| Global stream operator printing a DOF instance.

## Detailed Description

A struct for representing one term (DOF number and associated coefficient) in a MPC equation.

## Constructor & Destructor Documentation

## DOF()

Opm::Elasticity::MPC::DOF::DOF | ( | int | n,
|  | int | d,
|  | double | c = double(0) )

inline

Convenience constructor creating a valid DOF object.

Parameters

  [in] | n | Node number (1...NNOD)
  [in] | d | The local DOF number (1...3)
  [in] | c | Associated coefficient or constrained value

The documentation for this struct was generated from the following file:

- opm/elasticity/mpc.hh